from ttt.game import TTTGame
from ttt.view import TTTView
from ttt.player import TTTHumanPlayer, TTTComputerPlayer

player0 = TTTHumanPlayer("Player 1")
player1 = TTTComputerPlayer("Robot")
game = TTTGame()
view = TTTView(player0, player1)

# creates blank board
state = game.get_initial_state()
view.greet()
# gets passed blank board at start
while not game.is_over(state):
    # take an action and update board
    action = view.get_action(state)
    state = game.get_next_state(state, action)
view.conclude(state)
